Get a test integrity verdict rollup
Return stored session verdicts for the named sessions and the computed test-level rollup.
OAuth scopes
- https://purl.imsglobal.org/spec/caliper/v1p2/scope/events.readonly
Query Parameters
- Type: stringsession
Id requiredComma-separated Caliper session ids (percent-encoded IRIs), 1 to 64.
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
- application/json
Request Example for get/insights/1.0/integrity-verdicts
curl 'https://platform.dev.timeback.com/insights/1.0/integrity-verdicts?sessionId=' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
"sessions": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"sessionId": "string",
"verdict": "RED",
"greyReason": "Test Review",
"tags": [
"string"
],
"why": "string",
"evidence": "string",
"engagement": null,
"source": "string",
"sourceReferenceId": null,
"generatedAt": "2026-10-07T19:24:32.973Z",
"status": "string",
"dateCreated": "2026-10-07T19:24:32.973Z",
"dateLastModified": "2026-10-07T19:24:32.973Z",
"sessionStartedAt": "2026-10-07T19:24:32.973Z",
"sessionEndedAt": "2026-10-07T19:24:32.973Z",
"timeZone": "string"
}
],
"rollup": {
"verdict": "RED",
"greyReason": "Test Review",
"tags": [
"string"
],
"decidingSessionIds": [
"string"
],
"engagements": [
{
"sessionId": "string",
"engagement": "string"
}
]
}
}